package com.test;

import java.io.IOException;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletResponse;

public class TestFilter implements Filter {

	public void init(FilterConfig filterConfig) throws ServletException {
	}

	public void doFilter(ServletRequest request, ServletResponse response,
			FilterChain chain) throws IOException, ServletException {
		TestResponse tr = new TestResponse((HttpServletResponse) response);
		chain.doFilter(request, tr);
		if (tr.isOutputStreamUsed()) {
			response.getOutputStream().write(tr.getBout().toByteArray());
		}
		if (tr.isWriterUsed()) {
			response.getWriter().write(tr.getSw().toString());
		}
	}

	public void destroy() {
	}

}
